package org.dromara.system.service;

import org.dromara.system.domain.TblCarService;
import org.dromara.system.domain.vo.TblCarServiceVo;
import org.dromara.system.domain.bo.TblCarServiceBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 车务信息Service接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblCarServiceService {

    /**
     * 查询车务信息
     */
    TblCarServiceVo queryById(Long id);

    /**
     * 查询车务信息列表
     */
    TableDataInfo<TblCarServiceVo> queryPageList(TblCarServiceBo bo, PageQuery pageQuery);

    /**
     * 查询车务信息列表
     */
    List<TblCarServiceVo> queryList(TblCarServiceBo bo);

    /**
     * 新增车务信息
     */
    Boolean insertByBo(TblCarServiceBo bo);

    /**
     * 修改车务信息
     */
    Boolean updateByBo(TblCarServiceBo bo);

    /**
     * 校验并批量删除车务信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
